import React from 'react';
import { getComponentClassName, getClickId } from '@axa-fr/react-toolkit-core';
const Header = ({ className, classModifier, title, closeButtonAriaLabel = 'Fermer la boite de dialogue', ...props }) => {
    const componentClassName = getComponentClassName(className, classModifier, 'af-modal__header');
    const propsWithClickId = getClickId({
        option: {
            event: ['onCancel'],
        },
        props,
    });
    return (React.createElement("header", { className: componentClassName, ...props },
        React.createElement("h4", { className: "af-modal__header-title" }, title),
        React.createElement("button", { className: "af-modal__header-close-btn", type: "button", "aria-label": closeButtonAriaLabel, onClick: propsWithClickId.onCancel },
            React.createElement("span", { className: "glyphicon glyphicon-close", "aria-hidden": "true" }))));
};
export default Header;
