/* eslint-disable jsx-a11y/click-events-have-key-events */
import React, { forwardRef } from 'react';
import { getComponentClassName } from '@axa-fr/react-toolkit-core';
const Modal = forwardRef(({ className, title = '', onOutsideTap, children, classModifier, ...props }, ref) => {
    const componentClassName = getComponentClassName(className, classModifier, 'af-modal');
    return (
    // eslint-disable-next-line jsx-a11y/no-noninteractive-element-interactions
    React.createElement("dialog", { "aria-describedby": title, className: componentClassName, onClick: onOutsideTap, ref: ref, ...props },
        React.createElement("div", { className: "af-modal__dialog", onClick: (event) => event.stopPropagation() },
            React.createElement("div", { className: "af-modal__content" }, children))));
});
export default Modal;
